Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class ITrimLoopGraphic

    java.lang.Object
      igeo.gui.ITrimLoopGraphic

    public class ITrimLoopGraphic

extends java.lang.Object

Class to convert loop of trim curves to IPolyline and IPolyline2D. Mainly used in ISurfaceGraphicFillGL and ISurfaceGraphicWireframeGL.

Author:
  Satoru Sugihara
See Also:
  `ISurfaceGraphicFillGL`, `ISurfaceGraphicWireframeGL`

Field Summary
`ITrimCurveI[]` | `curves`
`boolean` | `isOuterTrim`
`IPolyline` | `polyline`
`IPolyline2D` | `polyline2`
`int` | `resolution`
`boolean` | `reversed`
`ISurfaceI` | `surface`

Constructor Summary
`ITrimLoopGraphic(int sz, boolean isOuter, int reso)`
`ITrimLoopGraphic(ISurfaceI surf)` for generating rectangular boundary
`ITrimLoopGraphic(ITrimCurveI[] curves, boolean isOuter, int reso)`

Method Summary
`IPolyline` | `getPolyline()`
`IPolyline2D` | `getPolyline2D()`
`int` | `num()`
`boolean` | `reversed()`
`void` | `set(int i, ITrimCurveI crv)`
`void` | `setup2D()`
`void` | `setup3D()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### surface

    public ISurfaceI surface

### curves

    public ITrimCurveI[] curves

### polyline2

    public IPolyline2D polyline2

### polyline

    public IPolyline polyline

### resolution

    public int resolution

### isOuterTrim

    public boolean isOuterTrim

### reversed

    public boolean reversed

Constructor Detail

### ITrimLoopGraphic

    public ITrimLoopGraphic(ITrimCurveI[] curves,
                            boolean isOuter,
                            int reso)

### ITrimLoopGraphic

    public ITrimLoopGraphic(int sz,
                            boolean isOuter,
                            int reso)

### ITrimLoopGraphic

    public ITrimLoopGraphic(ISurfaceI surf)

  for generating rectangular boundary

Method Detail

### num

    public int num()

### set

    public void set(int i,
                    ITrimCurveI crv)

### getPolyline2D

    public IPolyline2D getPolyline2D()

### getPolyline

    public IPolyline getPolyline()

### reversed

    public boolean reversed()

### setup2D

    public void setup2D()

### setup3D

    public void setup3D()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD